Package twisted :: Package protocols :: Module dict :: Class DictLookupFactory

[frames | no frames]

## Class DictLookupFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   DictLookupFactory

Utility factory for a single dict transaction

Method Summary
| `__init__(self, queryType, param, d)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| `clientConnectionFailed(self, connector, error)`
| `clientConnectionLost(self, connector, error)`
| ``clientDone`(self)` Called by client when done.
Inherited from ClientFactory
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`NoneType` | `done` = None
`class` | `protocol` = `twisted.protocols.dict.DictLookup`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Parameters:
    `addr` - an object implementing `twisted.internet.interfaces.IAddress`
  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### clientDone(self)

Called by client when done.

Class Variable Details

### done

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:07:52 2004 | http://epydoc.sf.net